Subject: Ticket Assigned - Damaged stroller front wheels
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Sat, 18 Jun 2022 16:14:19 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Damaged stroller front wheels Hi,

I am a resident of KSA and was on vacation in UAE around 2 weeks ago. I came across the Juniors Lorenzo Travel System in Babyshop UAE and really liked the product. I purchased 2 of them, one Green color for myself and another Red color as a gift to my brother from Babyshop UAE.

I returned to KSA and after assembling, I found out that the Green stroller is all ok, but unfortunately the Red strollers front wheels (both left and right) are wobbly (manufacturing defect). When my brother uses the stroller the whole thing wobbles making the baby jiggle in the stroller with intensity more than acceptable.

I have attached the invoices of both purchases, the pictures of both strollers and the video of one of the wheels and how it is loosely riveted on (same issue on the other wheel). I have no way to return to UAE now and request you to please support me in getting this issue resolved.

Looking forward to hearing from you soon.

Kind regards,
Salman Siddiqui

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4509100